#include <iostream>

using namespace std;

int main()
{
    int a,b,x,y;
cin>>a>>b;
cin>>x>>y;
if(x==a)
{
    if(b==y)
    {
        cout<<"nijedan";
    }
    else
    {

        cout<<"drugi";

    }
}
else
    if(b==y)
{
    cout<<"prvi";
}
else
{
    cout<<"?";
}
}